##############################################################################
# $Id: inarray.pl,v 1.2 1999/08/26 04:06:57 jheiss Exp $
##############################################################################
# Simple little subroutine which determines whether a string is an element in
# an array of strings.
##############################################################################
# Copyright (C) 1999  Jason Heiss (jheiss@ofb.net)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
##############################################################################
# Pre-RCS version control:
# created 8/4/97
# last modified 8/5/97
##############################################################################
# $Log: inarray.pl,v $
# Revision 1.2  1999/08/26 04:06:57  jheiss
# Added copyright and GNU license message.
#
# Revision 1.1  1999/08/09 03:04:44  jheiss
# Initial revision
#
##############################################################################

sub inarray
{
	my $test = shift(@_);

	my $entry;
	foreach $entry (@_)
	{
		if ($test eq $entry)
		{
			return 1;
		}
	}

	return 0;
}

return 1;

